MANPATH(1)

NOM
manpath - détermine la liste des chemins d'accès aux pages de manuel

SYNOPSIS
manpath [-qgdc] [-m système[,...]] [-C fichier]

DESCRIPTION
Si $MANPATH est définie, manpath affichera simplement son contenu suivi d'un avertissement. Sinon manpath déterminera une liste appropriée de chemins d'accès aux structures hiérarchiques des pages de manuel et l'affichera. Cette liste, formée des chemins d'accès délimités par « : », est déterminée en utilisant l'information contenue dans le fichier de configuration de man-db - (/etc/manpath.config) et en tenant compte de l'environnement d'utilisateur.

OPTIONS

-q, --quiet
    Ne pas afficher les avertissements.

-d, --debug
    Génère des informations de mise au point.

-c, --catpath
    Produit une liste de chemins d'accès aux pages « cat » par opposition à une liste de chemins d'accès aux pages « man ». Une fois que la liste des chemins d'accès aux structures hiérarchiques des pages « man » est déterminée, chaque élément de cette liste est converti en un chemin d'accès relatif aux pages « cat ».

-g, --global
    Produit une liste de chemins d'accès aux structures hiérarchiques des pages « man » se composant de chacun des chemins défini « global » dans le fichier de configuration de man-db.

-m système[,...], --systems=système[,...]
    Si le système a accès aux structures hiérarchiques des manuels d'autres systèmes d'exploitation, cette option peut être employée pour les inclure dans le résultat de manpath. Pour inclure la structure hiérarchique des pages de manuel de NewOS employez l'option -m NewOS. Le système indiqué peut être une combinaison de noms de systèmes d'exploitation, séparés par des virgules. Pour inclure les structures hiérarchiques natives de pages de manuel du système d'exploitation, le nom système « man » doit être inclus dans la chaîne fournie en argument. Cette option remplacera la variable d'environnement $SYSTEM.

-C fichier, --config-file=fichier
    Utilise le fichier de configuration indiqué au lieu du fichier par défaut ~/.manpath.

-h, --help
    Affiche un message d'aide et s'arrête.

-V, --version
    Affiche le numéro de version.

ENVIRONNEMENT

MANPATH
    Si $MANPATH est définie, manpath affiche sa valeur plutôt que de la déterminer à la volée. Si la valeur de $MANPATH débute par « : » alors elle sera ajoutée après la liste déterminée à partir du contenu des fichiers de configuration. Si les deux-points terminent la valeur de $MANPATH, alors la liste déterminée sera ajoutée après ce contenu. Si la valeur de la variable contient deux-points doublés « :: », alors la liste déterminée sera insérée au milieu de la valeur de $MANPATH, entre les deux-points doublés.

SYSTEM
    Si $SYSTEM est définie, l'effet sera le même que si on l'avait indiqué comme argument de l'option -m.

FICHIERS

/etc/manpath.config
    Fichier de configuration système.

VOIR AUSSI
apropos(1), whatis(1), man(1).

AUTEUR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).

TRADUCTION
Valéry Perrin <valery.perrin.debian@free.fr> le 2 janvier 2006. L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande « man -L en nom_de_la_page ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.